Subject: Re: [PATCH 00/03][RESUBMIT] net: EtherIP tunnel driver

From: Brian Haley <[email-masked]>
Date: Mon, 25 Sep 2006 16:49:14 -0400

Joerg Roedel wrote:
>> Is there something in the RFC that suggests that a byte order other than
>> 'network order' is possible/acceptable there?
> 
> No. The RFC states nothing at all about byte- or bitorder. That is why
> the RFC is ambigious at this point.

RFC 791 (IPv4) Appendix B does give instructions on byte ordering for 
all IPv4 headers and data, and RFC 791 is listed in the References for 
RFC 3378.  I noticed this is only Informational, not a Standards track 
document, so I guess the non-interoperable implementations kind of go 
with the territory.

-Brian